[CONSOLIDATED,PULL,05/22] scripts/hob: wrapper script to run hob gui with a UI specific config file

Submitted by Saul Wold on July 19, 2011, 6:50 a.m.


Message ID 9355999b8d7e8f344282426b2399110e0a3e7353.1311058024.git.sgw@linux.intel.com
State New, archived
Headers show

Commit Message

Saul Wold July 19, 2011, 6:50 a.m.
From: Joshua Lock <josh@linux.intel.com>

This ensures any configuration changes made in the GUI are only set when
using hob.
The default hob.local.conf is generated with a line which adds image_types
to INHERITS so that the GUI can introspect the available FSTYPES.

Signed-off-by: Joshua Lock <josh@linux.intel.com>
 scripts/hob |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)
 create mode 100755 scripts/hob

Patch hide | download patch | download mbox

diff --git a/scripts/hob b/scripts/hob
new file mode 100755
index 0000000..19930ba
--- /dev/null
+++ b/scripts/hob
@@ -0,0 +1,18 @@ 
+#!/usr/bin/env bash
+if ! (test -r "$BUILDDIR/conf/hob.local.conf"); then
+    cat <<EOM
+You had no conf/hob.local.conf file. An initial version of this configuration
+file has therefore been created for you. This file will be used to store any
+configuration values you set in hob.
+(cat <<EOF
+INHERIT += "image_types"
+) > conf/hob.local.conf
+bitbake -R conf/hob.local.conf -t xmlrpc -u hob
+exit $ret